Create a new sage
curl --request POST \
--url {protocol}://{host}:{port}/pl/sage/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"name": "Technical Interview Sage",
"scope_id": "b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e",
"greeting": "Welcome to your technical interview.",
"opening": "Let's begin with your background.",
"closing": "Thank you for your time today.",
"directions": "Focus on problem-solving and system design.",
"role_level": "senior"
}
EOFimport requests
url = "{protocol}://{host}:{port}/pl/sage/"
payload = {
"name": "Technical Interview Sage",
"scope_id": "b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e",
"greeting": "Welcome to your technical interview.",
"opening": "Let's begin with your background.",
"closing": "Thank you for your time today.",
"directions": "Focus on problem-solving and system design.",
"role_level": "senior"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Technical Interview Sage',
scope_id: 'b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e',
greeting: 'Welcome to your technical interview.',
opening: 'Let\'s begin with your background.',
closing: 'Thank you for your time today.',
directions: 'Focus on problem-solving and system design.',
role_level: 'senior'
})
};
fetch('{protocol}://{host}:{port}/pl/sage/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "62437",
CURLOPT_URL => "{protocol}://{host}:{port}/pl/sage/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Technical Interview Sage',
'scope_id' => 'b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e',
'greeting' => 'Welcome to your technical interview.',
'opening' => 'Let\'s begin with your background.',
'closing' => 'Thank you for your time today.',
'directions' => 'Focus on problem-solving and system design.',
'role_level' => 'senior'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "{protocol}://{host}:{port}/pl/sage/"
payload := strings.NewReader("{\n \"name\": \"Technical Interview Sage\",\n \"scope_id\": \"b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e\",\n \"greeting\": \"Welcome to your technical interview.\",\n \"opening\": \"Let's begin with your background.\",\n \"closing\": \"Thank you for your time today.\",\n \"directions\": \"Focus on problem-solving and system design.\",\n \"role_level\": \"senior\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("{protocol}://{host}:{port}/pl/sage/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Technical Interview Sage\",\n \"scope_id\": \"b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e\",\n \"greeting\": \"Welcome to your technical interview.\",\n \"opening\": \"Let's begin with your background.\",\n \"closing\": \"Thank you for your time today.\",\n \"directions\": \"Focus on problem-solving and system design.\",\n \"role_level\": \"senior\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("{protocol}://{host}:{port}/pl/sage/")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Technical Interview Sage\",\n \"scope_id\": \"b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e\",\n \"greeting\": \"Welcome to your technical interview.\",\n \"opening\": \"Let's begin with your background.\",\n \"closing\": \"Thank you for your time today.\",\n \"directions\": \"Focus on problem-solving and system design.\",\n \"role_level\": \"senior\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"active": true,
"version": 123,
"greeting": "<string>",
"reminders": "<string>",
"opening": "<string>",
"closing": "<string>",
"end_condition": "<string>",
"directions": "<string>",
"guidance": "<string>",
"scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"meta_data": {},
"status_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"avatar": "<string>",
"chat_avatar": "<string>",
"duration_list": [
123
],
"is_demo": true,
"is_internal": true,
"audio": true,
"language_code": "<string>",
"followup_days": 123,
"customizable": true,
"is_mentor": true,
"slug": "<string>",
"language": true,
"tagline": "<string>",
"default_tone": "<string>",
"default_role": "<string>",
"default_short_role": "<string>",
"role_level": "<string>"
}Sage
Create a new sage
Creates a new sage record in both the sages and sages_history tables.
Validates input via the SageCreate schema.
POST
/
pl
/
sage
/
Create a new sage
curl --request POST \
--url {protocol}://{host}:{port}/pl/sage/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"name": "Technical Interview Sage",
"scope_id": "b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e",
"greeting": "Welcome to your technical interview.",
"opening": "Let's begin with your background.",
"closing": "Thank you for your time today.",
"directions": "Focus on problem-solving and system design.",
"role_level": "senior"
}
EOFimport requests
url = "{protocol}://{host}:{port}/pl/sage/"
payload = {
"name": "Technical Interview Sage",
"scope_id": "b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e",
"greeting": "Welcome to your technical interview.",
"opening": "Let's begin with your background.",
"closing": "Thank you for your time today.",
"directions": "Focus on problem-solving and system design.",
"role_level": "senior"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Technical Interview Sage',
scope_id: 'b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e',
greeting: 'Welcome to your technical interview.',
opening: 'Let\'s begin with your background.',
closing: 'Thank you for your time today.',
directions: 'Focus on problem-solving and system design.',
role_level: 'senior'
})
};
fetch('{protocol}://{host}:{port}/pl/sage/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "62437",
CURLOPT_URL => "{protocol}://{host}:{port}/pl/sage/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Technical Interview Sage',
'scope_id' => 'b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e',
'greeting' => 'Welcome to your technical interview.',
'opening' => 'Let\'s begin with your background.',
'closing' => 'Thank you for your time today.',
'directions' => 'Focus on problem-solving and system design.',
'role_level' => 'senior'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "{protocol}://{host}:{port}/pl/sage/"
payload := strings.NewReader("{\n \"name\": \"Technical Interview Sage\",\n \"scope_id\": \"b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e\",\n \"greeting\": \"Welcome to your technical interview.\",\n \"opening\": \"Let's begin with your background.\",\n \"closing\": \"Thank you for your time today.\",\n \"directions\": \"Focus on problem-solving and system design.\",\n \"role_level\": \"senior\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("{protocol}://{host}:{port}/pl/sage/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Technical Interview Sage\",\n \"scope_id\": \"b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e\",\n \"greeting\": \"Welcome to your technical interview.\",\n \"opening\": \"Let's begin with your background.\",\n \"closing\": \"Thank you for your time today.\",\n \"directions\": \"Focus on problem-solving and system design.\",\n \"role_level\": \"senior\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("{protocol}://{host}:{port}/pl/sage/")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Technical Interview Sage\",\n \"scope_id\": \"b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e\",\n \"greeting\": \"Welcome to your technical interview.\",\n \"opening\": \"Let's begin with your background.\",\n \"closing\": \"Thank you for your time today.\",\n \"directions\": \"Focus on problem-solving and system design.\",\n \"role_level\": \"senior\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"active": true,
"version": 123,
"greeting": "<string>",
"reminders": "<string>",
"opening": "<string>",
"closing": "<string>",
"end_condition": "<string>",
"directions": "<string>",
"guidance": "<string>",
"scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"meta_data": {},
"status_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"avatar": "<string>",
"chat_avatar": "<string>",
"duration_list": [
123
],
"is_demo": true,
"is_internal": true,
"audio": true,
"language_code": "<string>",
"followup_days": 123,
"customizable": true,
"is_mentor": true,
"slug": "<string>",
"language": true,
"tagline": "<string>",
"default_tone": "<string>",
"default_role": "<string>",
"default_short_role": "<string>",
"role_level": "<string>"
}Authorizations
User JWT token passed in Authorization header
Headers
Required JWT permission: admin_sage (informational only -- enforced server-side)
Body
application/json
Experience level:
entry-- entry-level / internjunior-- 0-2 yearsmid-- 2-5 yearssenior-- 5-10 yearsprincipal-- 10+ years / staffother-- fallback
Available options:
entry, junior, mid, senior, principal, other Response
Sage created
Sage record (from SageModel.to_dict())